<h2>Locaties:</h2>

<ul class="locations">
  <li *ngFor="let location of locations">
    <span *ngIf="loginCheck()">
      <button class="delete" title="delete location" (click)="delete(location)">x</button>
    </span>
    <a routerLink="/location/{{ location.userid }}/{{ location._id }}">
      <span class="badge">{{ location.name }}</span>
    </a>
  </li>
</ul>

<div *ngIf="loginCheck()">
  <button class="btn btn-secondary" (click)="addButton()">Toevoegen</button>
</div>
<div *ngIf="addBool">
  <div>
    <label
      >Naam:
      <input [(ngModel)]="locationModel.name" placeholder="Naam" />
    </label>
    <br />
    <label
      >Adres:
      <input [(ngModel)]="locationModel.address" placeholder="Adres" />
    </label>
    <br />
    <label
      >Telefoonnummer:
      <input [(ngModel)]="locationModel.phone" placeholder="Telefoonnummer" />
    </label>
    <br />

    <button class="btn btn-secondary" (click)="add()">Opslaan</button>
  </div>
</div>
